Bug Hunting Session
Bug 33240 - RPT: grouping/sorting silently ignored with "analyze sql: no"
Summary: RPT: grouping/sorting silently ignored with "analyze sql: no"
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
3.3.0 RC3
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on: 32960
Blocks: Database-Queries
  Show dependency treegraph
 
Reported: 2011-01-18 05:17 UTC by Lionel Elie Mamane
Modified: 2018-09-25 02:51 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lionel Elie Mamane 2011-01-18 05:17:19 UTC
If "analyze sql" is set to "no", then the settings in grouping/sorting of the report are silently ignored.

When setting grouping/sorting, the user should be at least somehow warned that this will be ignored. Don't disallow it completely because it allows to do the sorting manually in the SQL command, but to have grouping headers/footers.

Even better: actually *use* the sorting order requested. A way to do that would be to send as query to the database something like:
 SELECT * FROM (sql command from report property) AS __LibreOffice_report_result ORDER BY "__LibreOffice_report_result"."foo", "__LibreOffice_report_result"."bar", etc.
Comment 1 Lionel Elie Mamane 2011-01-18 05:32:36 UTC
I mean, as far as I understand, the idea of "analyze SQL: no" is that the query is sent to the database unchanged / untouched, so don't go removing stuff from it, even if LibreOffice happens to succeed parsing it anyway...
Comment 2 Lionel Elie Mamane 2011-01-18 05:33:28 UTC
Oups, wrong bug with my previous comment, sorry.
Comment 3 Björn Michaelsen 2011-12-23 11:52:54 UTC Comment hidden (obsolete)
Comment 4 Lionel Elie Mamane 2012-07-11 13:33:58 UTC
Reproduced in branch features/base-preview, i.e. bug is present in libreoffice-3-5 branch or libreoffice-3-6/master.
Comment 5 Robert Großkopf 2012-07-11 19:39:10 UTC
Seems to be the same problem as discussed in 
https://bugs.freedesktop.org/show_bug.cgi?id=50132 :
Grouping without sorting, but warning, when not sorted.
But nobody would search for such a opinion in "analyse sql: no"
Comment 6 Lionel Elie Mamane 2012-07-11 21:01:42 UTC
(In reply to comment #5)
> Seems to be the same problem as discussed in 
> https://bugs.freedesktop.org/show_bug.cgi?id=50132 :
> Grouping without sorting, but warning, when not sorted.
> But nobody would search for such a opinion in "analyse sql: no"

No, it is the symmetric problem :)
Comment 7 Alex Thurgood 2015-01-03 17:41:25 UTC Comment hidden (no-value)
Comment 8 QA Administrators 2016-01-17 20:05:26 UTC Comment hidden (obsolete)
Comment 9 Robert Großkopf 2016-01-31 15:12:49 UTC
Bug still exists with LO 5.1.0.3, OpenSUSE 42.1 Leap, 64bit rpm Linux.
Comment 10 QA Administrators 2017-03-06 16:07:06 UTC Comment hidden (obsolete)
Comment 11 Robert Großkopf 2017-03-08 19:19:11 UTC
Bug still exists with LO 5.3.1.1, OpenSUSE 42.1 Leap, 64bit rpm Linux.
Comment 12 QA Administrators 2018-09-25 02:51:22 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug